Package org.flywaydb.core.api.output

## Class ValidateResult

- java.lang.Object
- - org.flywaydb.core.api.output.OperationResultBase
  - - org.flywaydb.core.api.output.ValidateResult

- All Implemented Interfaces:
    `OperationResult`

      public class ValidateResult
      extends OperationResultBase

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `ErrorDetails` | `errorDetails` |
    `java.util.List<ValidateOutput>` | `invalidMigrations` |
    `int` | `validateCount` |
    `boolean` | `validationSuccessful` |

    - ### Fields inherited from class org.flywaydb.core.api.output.OperationResultBase

      `database, flywayVersion, operation, warnings`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidateResult​(java.lang.String flywayVersion, java.lang.String database, ErrorDetails errorDetails, boolean validationSuccessful, int validateCount, java.util.List<ValidateOutput> invalidMigrations, java.util.List<java.lang.String> warnings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAllErrorMessages()` |

    - ### Methods inherited from class org.flywaydb.core.api.output.OperationResultBase

      `addWarning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### errorDetails

          public final ErrorDetails errorDetails

    - #### invalidMigrations

          public final java.util.List<ValidateOutput> invalidMigrations

    - #### validationSuccessful

          public final boolean validationSuccessful

    - #### validateCount

          public final int validateCount

  - ### Constructor Detail

    - #### ValidateResult

          public ValidateResult​(java.lang.String flywayVersion,
                                java.lang.String database,
                                ErrorDetails errorDetails,
                                boolean validationSuccessful,
                                int validateCount,
                                java.util.List<ValidateOutput> invalidMigrations,
                                java.util.List<java.lang.String> warnings)

  - ### Method Detail

    - #### getAllErrorMessages

          public java.lang.String getAllErrorMessages()